Bug 225654 - Merge Review: control-center
Merge Review: control-center
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 12:51 EST by Nobody's working on this, feel free to take it
Modified: 2016-12-20 06:55 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 06:55:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 12:51:53 EST
Fedora Merge Review: control-center

http://cvs.fedora.redhat.com/viewcvs/devel/control-center/
Initial Owner: rstrode@redhat.com
Comment 1 Ray Strode [halfline] 2007-02-05 16:45:55 EST
There is an icky sed replace for bug 171059.  This got veto'd upstream, so I'm
going to drop it.
Comment 2 Ray Strode [halfline] 2007-02-05 16:47:09 EST
there is a comment:

# desktop-file-install really should not be generating this
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/mimeinfo.cache

But it won't, because desktop-file-install isn't being called with
--rebuild-mime-info-cache

so I'm going to drop that line.
Comment 3 Ray Strode [halfline] 2007-02-05 16:49:35 EST
we already pass --disable-static so we shouldn't need to worry about .a files,
and we're being very particular about the .la files we're deleting.

I'm going to drop most of the 

rm -f $RPM_BUILD_ROOT%{_libdir}/.../*.*a

lines and replace them with 

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

Comment 4 Ray Strode [halfline] 2007-02-05 16:57:55 EST
I ran

for f in control-center*.patch; do grep -q $f control-center.spec || cvs rm -f
$f; done

to drop unused patches.  There are some other keyboad-drawing patches that I
don't know what the fate of them should be.

CCing matthias to see what he thinks.
Comment 5 Matthias Clasen 2007-02-05 21:16:19 EST
the keyboard drawing patches have all been ported to libgnomekbd and can safely
be deleted here.
Comment 6 Matthias Clasen 2007-11-18 01:00:28 EST
I've just done some more patch cleanups.
Here is what rpmlint currently says:

[mclasen@localhost devel]$ rpmlint control-center-2.21.2-2.fc9.i386.rpm 
control-center.i386: W: devel-file-in-non-devel-package
/usr/share/pkgconfig/gnome-keybindings.pc

Could perhaps be moved to the -devel package, I guess

control-center.i386: W: non-conffile-in-etc
/etc/gconf/schemas/apps_gnome_settings_daemon_screensaver.schemas
control-center.i386: W: non-conffile-in-etc
/etc/gconf/schemas/desktop_gnome_font_rendering.schemas
control-center.i386: W: non-conffile-in-etc
/etc/gnome-vfs-2.0/modules/font-method.conf
control-center.i386: W: non-conffile-in-etc
/etc/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas
control-center.i386: W: non-conffile-in-etc
/etc/gconf/schemas/control-center.schemas
control-center.i386: W: non-conffile-in-etc /etc/gconf/schemas/themus.schemas
control-center.i386: W: non-conffile-in-etc /etc/xdg/menus/gnomecc.menu
control-center.i386: W: non-conffile-in-etc
/etc/gnome-vfs-2.0/modules/theme-method.conf
control-center.i386: W: non-conffile-in-etc
/etc/xdg/autostart/gnome-at-session.desktop
control-center.i386: W: non-conffile-in-etc /etc/gconf/schemas/fontilus.schemas
control-center.i386: W: file-not-utf8 /usr/share/doc/control-center-2.21.2/NEWS
control-center.i386: W: non-conffile-in-etc
/etc/gconf/schemas/apps_gnome_settings_daemon_default_editor.schemas

All of these follow established practise, I think

control-center.i386: E: explicit-lib-dependency libgail-gnome

This is rpmlint being too stupid. libgail-gnome doesn't actually
contain a library, but only a module.

control-center.i386: W: incoherent-version-in-changelog 2.21.2-2 1:2.21.2-2.fc9

Should probably be cleaned up


control-center.i386: W: obsolete-not-provided gnome
control-center.i386: W: obsolete-not-provided fontilus

Not a big deal, but I believe these obsoletes can be removed without harm.


control-center.i386: E: invalid-desktopfile
/usr/share/applications/gnome-themus-theme-applier.desktop
control-center.i386: E: invalid-desktopfile
/usr/share/applications/gnome-theme-installer.desktop

Not sure what to do about these. 
We need some way to totally hide these desktop files from the menus.


[mclasen@localhost devel]$ rpmlint control-center-devel-2.21.2-2.fc9.i386.rpm 
control-center-devel.i386: W: no-documentation

This is ignorable.
Comment 7 Cole Robinson 2015-02-11 15:35:45 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 8 Jan Kurik 2015-07-15 11:27:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 9 Fedora End Of Life 2016-11-24 05:17:34 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2016-12-20 06:55:19 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.